Bug 493953 - memory allocation bug in ldns-keygen
memory allocation bug in ldns-keygen
Status: CLOSED NOTABUG
Product: Fedora EPEL
Classification: Fedora
Component: ldns (Show other bugs)
el5
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Avesh Agarwal
Fedora Extras Quality Assurance
ActualBug
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-03 09:01 EDT by Leif Bergman
Modified: 2009-07-10 23:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-10 23:17:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leif Bergman 2009-04-03 09:01:52 EDT
Description of problem:
Memory managment bug in ldns-keygen

Version-Release number of selected component (if applicable):
1.5.1-1.el5

How reproducible:
Always

Steps to Reproduce:
1.ldns-keygen -a HMAC-SHA256 herpes.adeno
2.
3.
  
Actual results:
*** glibc detected *** ldns-keygen: free(): invalid next size (fast): 0x000000001bb3d240 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3368471ce2]
/lib64/libc.so.6(cfree+0x8c)[0x336847590c]
/usr/lib64/libldns.so.1(ldns_key2rr+0x144)[0x2b59e1048e64]
ldns-keygen[0x401635]
/lib64/libc.so.6(__libc_start_main+0xf4)[0x336841d974]
ldns-keygen[0x4010f9]
======= Memory map: ========
00400000-00403000 r-xp 00000000 fd:07 596974                             /usr/bin/ldns-keygen
00602000-00603000 rw-p 00002000 fd:07 596974                             /usr/bin/ldns-keygen
1bb3d000-1bb5e000 rw-p 1bb3d000 00:00 0                                  [heap]
3368000000-336801c000 r-xp 00000000 09:01 163844                         /lib64/ld-2.5.so
336821b000-336821c000 r--p 0001b000 09:01 163844                         /lib64/ld-2.5.so
336821c000-336821d000 rw-p 0001c000 09:01 163844                         /lib64/ld-2.5.so
3368400000-336854c000 r-xp 00000000 09:01 163849                         /lib64/libc-2.5.so
336854c000-336874c000 ---p 0014c000 09:01 163849                         /lib64/libc-2.5.so
336874c000-3368750000 r--p 0014c000 09:01 163849                         /lib64/libc-2.5.so
3368750000-3368751000 rw-p 00150000 09:01 163849                         /lib64/libc-2.5.so
3368751000-3368756000 rw-p 3368751000 00:00 0 
3368c00000-3368c02000 r-xp 00000000 09:01 163851                         /lib64/libdl-2.5.so
3368c02000-3368e02000 ---p 00002000 09:01 163851                         /lib64/libdl-2.5.so
3368e02000-3368e03000 r--p 00002000 09:01 163851                         /lib64/libdl-2.5.so
3368e03000-3368e04000 rw-p 00003000 09:01 163851                         /lib64/libdl-2.5.so
3369400000-3369414000 r-xp 00000000 fd:07 1310910                        /usr/lib64/libz.so.1.2.3
3369414000-3369613000 ---p 00014000 fd:07 1310910                        /usr/lib64/libz.so.1.2.3
3369613000-3369614000 rw-p 00013000 fd:07 1310910                        /usr/lib64/libz.so.1.2.3
336b800000-336b815000 r-xp 00000000 09:01 164078                         /lib64/libnsl-2.5.so
336b815000-336ba14000 ---p 00015000 09:01 164078                         /lib64/libnsl-2.5.so
336ba14000-336ba15000 r--p 00014000 09:01 164078                         /lib64/libnsl-2.5.so
336ba15000-336ba16000 rw-p 00015000 09:01 164078                         /lib64/libnsl-2.5.so
336ba16000-336ba18000 rw-p 336ba16000 00:00 0 
336d000000-336d12d000 r-xp 00000000 09:01 163862                         /lib64/libcrypto.so.0.9.8e
336d12d000-336d32c000 ---p 0012d000 09:01 163862                         /lib64/libcrypto.so.0.9.8e
336d32c000-336d34d000 rw-p 0012c000 09:01 163862                         /lib64/libcrypto.so.0.9.8e
336d34d000-336d351000 rw-p 336d34d000 00:00 0 
3379600000-337960d000 r-xp 00000000 09:01 164006                         /lib64/libgcc_s-4.1.2-20080825.so.1
337960d000-337980d000 ---p 0000d000 09:01 164006                         /lib64/libgcc_s-4.1.2-20080825.so.1
337980d000-337980e000 rw-p 0000d000 09:01 164006                         /lib64/libgcc_s-4.1.2-20080825.so.1
39bb000000-39bb028000 r-xp 00000000 fd:07 1316246                        /usr/lib64/libpcap.so.0.9.4
39bb028000-39bb228000 ---p 00028000 fd:07 1316246                        /usr/lib64/libpcap.so.0.9.4
39bb228000-39bb229000 rw-p 00028000 fd:07 1316246                        /usr/lib64/libpcap.so.0.9.4
39bb229000-39bb22a000 rw-p 39bb229000 00:00 0 
2b59e100d000-2b59e100e000 rw-p 2b59e100d000 00:00 0 
2b59e101c000-2b59e101d000 rw-p 2b59e101c000 00:00 0 
2b59e101d000-2b59e105c000 r-xp 00000000 fd:07 1316243                    /usr/lib64/libldns.so.1.5.1
2b59e105c000-2b59e125c000 ---p 0003f000 fd:07 1316243                    /usr/lib64/libldns.so.1.5.1
2b59e125c000-2b59e1261000 rw-p 0003f000 fd:07 1316243                    /usr/lib64/libldns.so.1.5.1
2b59e1261000-2b59e1264000 rw-p 2b59e1261000 00:00 0 
2b59e4000000-2b59e4021000 rw-p 2b59e4000000 00:00 0 
2b59e4021000-2b59e8000000 ---p 2b59e4021000 00:00 0 
7fffc9a88000-7fffc9a9d000 rw-p 7ffffffea000 00:00 0                      [stack]
ffffffffff600000-ffffffffffe00000 ---p 00000000 00:00 0                  [vdso]
Aborted

Expected results:
New keys for TSIG operation

Additional info:
ldns bug 243
http://www.nlnetlabs.nl/bugs/attachment.cgi?id=101
Comment 2 Leif Bergman 2009-05-18 08:43:21 EDT
Ping! Anything happening here???
Comment 3 Paul Wouters 2009-07-10 23:17:44 EDT
was fixed in 1.5.1-4

Note You need to log in before you can comment on or make changes to this bug.